import { PropertyMetadata } from '../../decorator/metadata/property-metadata.model';
import { NumberAttribute } from '../type/attribute.type';
import { MapperForType } from './base.mapper';
/**
 * Enums are mapped to numbers by default
 */
export declare class EnumMapper<E> implements MapperForType<E, NumberAttribute> {
    constructor();
    toDb(value: E, propertyMetadata?: PropertyMetadata<any, NumberAttribute>): NumberAttribute;
    fromDb(attributeValue: NumberAttribute, propertyMetadata?: PropertyMetadata<any, NumberAttribute>): E;
}
